#!/bin/sh


# remove unused modules, so I can load better suited modules. (like ata).
#for i in $( cat /proc/modules | grep " 0 " | awk '{ print $1 }' ); do
#	rmmod $i
#done


mkdir -p /dev/.udev/db/

RESOLVENAMES=`udevd --help | grep -e "--resolve-names"`
if [ -z "$RESOLVENAMES" ]
then
	udevd &
else
	udevd --resolve-names=never &
fi
sleep 1
progress "Udev" 60
udevadm trigger
progress "Not waiting wait for settle" 70

ln -s /proc/self/fd/0 /dev/stdin
ln -s /proc/self/fd/1 /dev/stdout
ln -s /proc/self/fd/2 /dev/stderr

#udevsettle

#progress "Udev done" 80
