#!/bin/sh

progress "Done!" 100

rmmod evbug 2>/dev/null

if [ -e /sbin/usplash_write ]; then
	usplash_write TIMEOUT 1
	usplash_write QUIT
fi

uptime

export HOME=/tmp/

while ps aux | grep -v grep | grep usplash > /dev/null;  do
	sleep 1
	echo . >> /tmp/prog
	uptime >> /tmp/prog
	#usplash_write QUIT >> /tmp/prog
done

CPARAMETER=`openvt --help 2>&1 | grep "c N"`

if [ -z "$CPARAMETER" ]
then
	PARAMETER=""
else
	PARAMETER="-c"
fi

setterm -blength 0

for i in 1 2 3 4 5 6 7
do
	openvt $PARAMETER $i sh
done

#chvt 1
