#/bin/bash

PREFIX=$1
FILE=$2

for i in `ldd $FILE | grep -v linux-gate.so.1 | awk '{print $(NF-1)}' | grep "^/"`
do
	if [ "$i" != "dynamic" ]
	then
		LINK=`readlink $i`
		if [ -z "$LINK" ]
		then
			if [ ! -a $PREFIX/$i ]
			then
				cp -R -d -p $i $PREFIX/$i
			fi
		else
			LINK=`readlink -f $i`
			if [ ! -a $PREFIX/$LINK ]
			then
				cp -R -d -p $LINK $PREFIX/$LINK
			fi
			if [ ! -h $PREFIX/$i ]
			then
				mkdir -p $( dirname $PREFIX/$i )
				ln -s $LINK $PREFIX/$i
			fi
		fi
	fi
done
